petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatMFFDSetFunctioniBase

Sets the base vector for a single component function evaluation

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDSetFunctioniBase(Mat mat,PetscErrorCode (*func)(void*,Vec))

Logically Collective on Mat

### Input Parameters

| mat | - the matrix free matrix created via MatCreateSNESMF()
| func | - the function to use

### Notes

If you use this you MUST call MatAssemblyBegin()/MatAssemblyEnd() on the matrix free matrix inside your compute Jacobian routine. This function is necessary to compute the diagonal of the matrix.

### Keywords

SNES, matrix-free, function

### See Also

MatCreateSNESMF(),MatMFFDGetH(), MatCreateMFFD(), MATMFFD
MatMFFDSetHHistory(), MatMFFDResetHHistory(), SNESetFunction(), MatGetDiagonal()

### Level

advanced

### Location

src/mat/impls/mffd/mffd.c

### Implementations

MatMFFDSetFunctioniBase_MFFD in src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages